Delete Skill
DELETE
/v1/skills/{skill_id}
const url = 'https://agents.lumalabs.ai/v1/skills/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://agents.lumalabs.ai/v1/skills/example \ --header 'Authorization: Bearer <token>'Delete a skill. Sessions that already pinned one of its versions keep it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”skill_id
required
Skill Id
string
Responses
Section titled “ Responses ”Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}